List canvas revisions
import requests
url = "https://platform.ankra.app/api/v1/org/canvases/{canvas_id}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/canvases/{canvas_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/canvases/{canvas_id}/revisions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 2,
"parent_revision_id": "<string>",
"language": "json",
"schema_version": 1,
"size_bytes": 123,
"author_kind": "user",
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason": "<string>",
"code": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason": "<string>",
"code": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Canvases
List canvas revisions
Lists a canvas’s revisions newest first, without content. Pass next_cursor back as cursor for the next page.
GET
/
api
/
v1
/
org
/
canvases
/
{canvas_id}
/
revisions
List canvas revisions
import requests
url = "https://platform.ankra.app/api/v1/org/canvases/{canvas_id}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/canvases/{canvas_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/canvases/{canvas_id}/revisions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 2,
"parent_revision_id": "<string>",
"language": "json",
"schema_version": 1,
"size_bytes": 123,
"author_kind": "user",
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason": "<string>",
"code": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"reason": "<string>",
"code": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
The next_cursor of the previous page.
Required range:
1 <= x <= 100